### Method

# Gtk Widget snapshot_child

#### Declaration [src]

    void
    gtk_widget_snapshot_child (
      GtkWidget* widget,
      GtkWidget* child,
      GtkSnapshot* snapshot
    )

#### Description [src]

Snapshot the a child of `widget`.

When a widget receives a call to the snapshot function, it must send synthetic `Gtk.WidgetClass.snapshot` calls to all children. This function provides a convenient way of doing this. A widget, when it receives a call to its `Gtk.WidgetClass.snapshot` function, calls gtk_widget_snapshot_child() once for each child, passing in the `snapshot` the widget received.

gtk_widget_snapshot_child() takes care of translating the origin of `snapshot`, and deciding whether the child needs to be snapshot.

This function does nothing for children that implement `GtkNative`.

#### Parameters

`child` | `GtkWidget`
| A child of `widget`.
| The data is owned by the caller of the function.
`snapshot` | `GtkSnapshot`
| `GtkSnapshot` as passed to the widget. In particular, no calls to gtk_snapshot_translate() or other transform calls should have been made.
| The data is owned by the caller of the function.